---
title: URL.origin
slug: Web/API/URL/origin
tags:
  - API
  - Property
  - Read-only
  - Reference
  - URL
  - URL API
  - origin
---
<div>{{APIRef("URL API")}}</div>

<p><span class="seoSummary">The <strong><code>origin</code></strong> read-only property of the {{domxref("URL")}} interface returns a {{domxref("USVString")}} containing the Unicode serialization of the origin of the represented URL.</span> The exact structure varies depending on the type of URL:</p>

<ul>
 <li>For <code>http</code> or <code>https</code> URLs, the scheme followed by <code>'://'</code>, followed by the domain, followed by <code>':'</code>, followed by the port (the default port, <code>80</code> and <code>443</code> respectively, if explicitly specified).</li>
 <li>For <code>file:</code> URLs, the value is browser dependant.</li>
 <li>for <code>blob:</code> URLs, the origin of the URL following <code>blob:</code> will be used, e.g <code>"blob:https://mozilla.org"</code> will be returned as <code>"https://mozilla.org".</code></li>
</ul>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <em>originString</em> = <em>url</em>.origin
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">const url = new URL("blob:https://mozilla.org:443/")
console.log(url.origin); // Logs 'https://mozilla.org'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('URL', '#dom-url-origin', 'URL.origin')}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URL.origin")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface</li>
</ul>
